注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

^_^ china.ygw的博客

软件开发/c/c++/数据库/开源/linux/windows/安全/网络...

 
 
 

日志

 
 
 
 

解决linux系统编译5.3.3版本php出现的Cannot find MySQL header files问题  

2013-07-09 22:30:02|  分类: linux |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

        本来在cent os 6.2 32位上使用5.4.0版本的php好好的,但是使用以往的页面框架时,总是有部分功能不正常。找来找去,发现页面框架使用的部分函数在5.4.0版本有改动,造成功能异常。
        发现问题就好办了,把已经安装的5.4.0版本php删除,重新安装5.3.3版本。但是在安装时报错如下:
        configure: error: Cannot find MySQL header files under yes.
        Note that the MySQL client library is not bundled anymore!
        我的configure命令如下:
        ./configure --prefix=... --with-apxs2=... --with-mysql --with-config-file-path=... --with-pdo-mysql=...
        根据报错信息,是找不到MySQL头文件,但是同样的configure指令,我在编译5.4.0版本php时没有问题,只能把问题归结于php的版本问题。
        问题很好解决,只要把--with-mysql改为--with-mysql=...,使其指向实际的mysql安装目录即可。
        不管怎么样,先把问题记录下来。
  评论这张
 
阅读(143)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2018